{
    "path": "$OET_PATH/testcases/function_test/pkg_test/PyPAM/python3-PyPAM",
    "machine num": 1,
    "cases": [
        {
            "name": "test_python3-PyPAM_function_install",
            "desc": "Test the installation of python3-PyPAM package via system package manager."
        },
        {
            "name": "test_python3-PyPAM_function_import",
            "desc": "Test importing the PyPAM module in a Python script."
        },
        {
            "name": "test_python3-PyPAM_function_auth",
            "desc": "Test basic PAM authentication using the PyPAM module."
        },
        {
            "name": "test_python3-PyPAM_function_acct_mgmt",
            "desc": "Test PAM account management functionality using PyPAM."
        },
        {
            "name": "test_python3-PyPAM_function_uninstall",
            "desc": "Test the removal of python3-PyPAM package via system package manager."
        }
    ]
}